Summary
Create Trigger
Description
Create a new Trigger.
Route
POST /operations-manager/triggers
Roles
admin
apiwrite
engineering
operations
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| trigger |
object |
yes |
The details of the Trigger document to be created. |
Copied to Clipboard
{
"title": "trigger",
"$schema": "http://json-schema.org/draft-07/schema",
"$id": "trigger-create",
"oneOf": [
{
"name": "myCoolDocumentName",
"type": "endpoint",
"routeName": "8e3pO6kzP",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "dd123b99cd3b57da2782ba49",
"lastExecuted": null,
"migrationVersion": 98192494,
"createdBy": "Pronghorn",
"created": "1973-03-06T12:02:48.954Z",
"lastUpdatedBy": "ef976ce18447343b2cdc94b0",
"lastUpdated": "1958-03-07T01:02:22.959Z",
"verb": "POST",
"jst": null
},
{
"name": "myCoolDocumentName",
"type": "eventSystem",
"topic": "cupidatat tempor est sed elit",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "3669f432b5f186daaba94071",
"lastExecuted": 28151731,
"migrationVersion": -65740242,
"createdBy": "Pronghorn",
"created": "1966-02-22T14:55:22.472Z",
"lastUpdatedBy": "bf31c524dcffa011c2c1faba",
"lastUpdated": "2005-11-07T08:40:41.881Z",
"source": "quis Ut labore sint Duis",
"schema": null,
"legacyWrapper": true,
"jst": null
},
{
"name": "myCoolDocumentName",
"type": "manual",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "ec8895ef04a3fb3d8644779e",
"lastExecuted": null,
"migrationVersion": -38719639,
"createdBy": "171e949081583ba64cc32dbe",
"created": "2018-01-02T17:38:11.199Z",
"lastUpdatedBy": "40b94a2224a6c62805055a9c",
"lastUpdated": "2004-04-10T07:14:46.531Z",
"formData": {
"deviceName": "ATL-123",
"action": "SYNC"
},
"formSchemaHash": null,
"legacyWrapper": true,
"formId": "e490a8259166513ad9ac12db"
},
{
"name": "myCoolDocumentName",
"repeatUnit": "second",
"repeatFrequency": 67976380,
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "3a2a333fca8ebf8d17c276bf",
"lastExecuted": null,
"migrationVersion": 66034074,
"createdBy": "Pronghorn",
"created": "1950-05-28T12:08:15.533Z",
"lastUpdatedBy": "cf134b1ab2d81357ce2f815f",
"lastUpdated": "1976-04-15T12:52:22.518Z",
"repeatInterval": 10000,
"formId": "dd4a564f80f8e2f47969d33f"
}
]
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| createdTigger |
object |
The result of the create operation. |
Copied to Clipboard
{
"message": "Successfully imported 3 of 4 documents",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "548ee7db0c5d2d5f634a86e5",
"lastExecuted": null,
"migrationVersion": -35334404,
"createdBy": "Pronghorn",
"created": "1993-03-19T03:45:45.376Z",
"lastUpdatedBy": "06fa92ef2319241a07afbd73",
"lastUpdated": "1966-05-19T14:47:14.727Z",
"_id": "6f65e3fa35539da231e0405b"
}
}